Closed Bug 955296 Opened 6 years ago Closed 6 years ago

whois replies displayed in conversations should have the noLog flag

Categories

(Chat Core :: IRC, defect, trivial)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: florian, Assigned: clokep)

Details

Attachments

(1 file)

*** Original post on bio 1863 at 2012-12-28 16:45:00 UTC ***

It doesn't make sense to see "17:40:50 - <nickname> is an unknown nickname." in the middle of the log of a channel, and I wouldn't expect anything private to be included in the log of a public channel where I typed a /whois command. (whois replies can contain channel names that aren't public but that are listed because I'm also in them.)
Attached patch PatchSplinter Review
*** Original post on bio 1863 as attmnt 2192 at 2013-01-16 01:47:00 UTC ***

This is a fairly trivial change, I briefly tested it and it seems to work.
Attachment #8353955 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Severity: normal → trivial
Comment on attachment 8353955 [details] [diff] [review]
Patch

*** Original change on bio 1863 attmnt 2192 at 2013-01-17 12:34:03 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353955 - Flags: review?(florian) → review+
Whiteboard: [checkin-needed]
*** Original post on bio 1863 at 2013-01-18 23:14:35 UTC ***

http://hg.instantbird.org/instantbird/rev/c996ac3cacd7
Status: ASSIGNED → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.4
You need to log in before you can comment on or make changes to this bug.